
using System;
using System.Numerics;

namespace SlatedGameToolkit.Framework.Graphics.Meshes
{
    public interface IMeshable
    {

        /// <summary>
        /// Each value in the array represents a 3D coordinate for the vertex, as well as a 2D texture coordinate.
        /// </summary>
        /// <value></value>
        ValueTuple<Vector3, Vector2>[] Vertices { get; }
        uint[] Elements { get; }
        Vector3 Rotation { get; set; }
        Vector3 Translation { get; set; }
        Vector3 Scale { get; set; }
    }
}